/**
 * T-Messenger
 * THIS IS NOT FREE SOFTWARE, DO NOT DISTRIBUTE.
 *
 * @summary Application Updater / Version Check
 * @author Andres Pagella (fokker@alkon.com.ar)
 */

var TM;
if (!TM) TM = {};

if (!TM.version) TM.version = {};

/**
 * TM.version.update
 * @param null
 * @returns boolean, indicating success or error on the update operation
 */
TM.version.update = function() 
{
	try {
		var appUpdater = new runtime.air.update.ApplicationUpdaterUI();
	
		appUpdater.isInstallUpdateVisible = true;
		appUpdater.isFileUpdateVisible = true;
		appUpdater.configurationFile = new air.File('app:/updateConfig.xml');	
		appUpdater.addEventListener( air.ErrorEvent.ERROR, TM.version.errorHandler );
		appUpdater.initialize();
		appUpdater.checkNow();
		
		return true;
	} catch(e) { 
		return false;
	}
}

/**
 * TM.version.errorHandler
 * @param null
 * @returns void
 */
TM.version.errorHandler = function()
{
	alert('An error ocurred trying to update the Application.');
}

/**
 * TM.version.get
 * @param null
 * @returns string, with the current application version
 */
TM.version.get = function()
{
	// Not implemented
}