/**
 * T-Messenger
 * THIS IS NOT FREE SOFTWARE, DO NOT DISTRIBUTE.
 *
 * @summary TM.CORE AJAX Request handler
 * @author Andres Pagella (fokker@alkon.com.ar)
 */

if (!TM.core.ajax) TM.core.ajax = {};

TM.core.ajax.parameters = {
	'timeout': 20, // Request timeout (in seconds)
	'async': true,
	'cache': false
}

/**
 * TM.core.ajax.start
 * @param string Loader image objectID
 * @returns bool
 */
TM.core.ajax.start = function(objectID) {
	$('#' + objectID).attr('src', 'app:/img/loader.gif');
	
	// Disable the twtText box, if present
	// DISABLED, BOTHERS TOO MUCH. COUNTER-INTUITIVE.
	/*$('#twtText').attr("disabled", true);
	$('#twtText').css("background-color", "#CCC");*/
	
	return true;
}

/**
 * TM.core.ajax.end
 * @param string Loader image objectID
 * @returns bool
 */
TM.core.ajax.end = function(objectID) {
	$('#' + objectID).attr('src', 'app:/img/loader-static.png');
	
	// Enable the twtText box, if present
	$('#twtText').removeAttr("disabled");
	$('#twtText').removeClass('multi');
	$('#twtText').removeClass('picLoading');
	$('#twtText').css("background-color", "#FFF");
	
	return true;
}

/**
 * TM.core.ajax.error
 * @param string Loader image objectID
 * @returns bool
 */
TM.core.ajax.error = function(objectID) {
	$('#' + objectID).attr('src', 'app:/img/loader-error.gif');
	
	return false;
}