/**
 * T-Messenger
 * THIS IS NOT FREE SOFTWARE, DO NOT DISTRIBUTE.
 *
 * @summary String utils
 * @author Andres Pagella (fokker@alkon.com.ar)
 */

var TM;
if (!TM) TM = {};

if (!TM.string) TM.string = {};

/**
 * TM.string.divide
 * @param string txt The string to divide
 * @param integer limit How many characters can it take before displaying an overflow
 * @returns string
 */
TM.string.divide = function(txt, limit)
{
	if (txt.length > limit) {
		finalString = txt.substr(0, limit);
		finalString += '<br />' + TM.string.divide(txt.substr(limit), limit);
		
		return finalString;
	} else {
		return txt;
	}
}

/**
 * TM.string.isURL
 * @param string txt The URL to check
 * @returns bool
 */
TM.string.isUrl = function(txt) {
	var regexp = /(http|https):\/\/(\w+:{0,1}\w*@)?(\S+)(:[0-9]+)?(\/|\/([\w#!:.?+=&%@!\-\/]))?/;
	return regexp.test(txt);
}

/**
 * TM.string.gup
 * @param string param The HTTP GET parameter to get.
 * @returns bool
 * @author http://www.netlobo.com/url_query_string_javascript.html
 */
TM.string.gup = function(param) {
	param = param.replace(/[\[]/,"\\\[").replace(/[\]]/,"\\\]");
	var regexS = "[\\?&]" + param + "=([^&#]*)";
	var regex = new RegExp( regexS );
	var results = regex.exec( window.location.href );
	
	if( results == null ) {
		return "";
	} else {
		return results[1];
	}
}